From: Ramkumar Ramachandra <artagnon@gmail.com>
To: Git List <git@vger.kernel.org>
Cc: Martin von Zweigbergk <martinvonz@gmail.com>,
Johannes Schindelin <Johannes.Schindelin@gmx.de>
Subject: [PATCH 6/7] sh-setup: introduce require_clean_work_tree --quiet
Date: Tue, 23 Apr 2013 19:32:03 +0530 [thread overview]
Message-ID: <1366725724-1016-7-git-send-email-artagnon@gmail.com> (raw)
In-Reply-To: <1366725724-1016-1-git-send-email-artagnon@gmail.com>
Some callers might want to know whether or not the worktree is clean,
and require_clean_work_tree() has the logic for this. The current
implementation of the function prints a message and exits if the
worktree wasn't clean. Introduce a --quiet switch to get it to report
the status of the worktree back to the caller.
Signed-off-by: Ramkumar Ramachandra <artagnon@gmail.com>
---
git-sh-setup.sh | 10 +++++++---
1 file changed, 7 insertions(+), 3 deletions(-)
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 2f78359..5fa22a8 100644
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -172,6 +172,7 @@ require_clean_work_tree () {
if ! git diff-files --quiet --ignore-submodules
then
+ test "$1" = "--quiet" ||
echo >&2 "Cannot $1: You have unstaged changes."
err=1
fi
@@ -180,9 +181,11 @@ require_clean_work_tree () {
then
if [ $err = 0 ]
then
- echo >&2 "Cannot $1: Your index contains uncommitted changes."
+ test "$1" = "--quiet" ||
+ echo >&2 "Cannot $1: Your index contains uncommitted changes."
else
- echo >&2 "Additionally, your index contains uncommitted changes."
+ test "$1" = "--quiet" ||
+ echo >&2 "Additionally, your index contains uncommitted changes."
fi
err=1
fi
@@ -190,8 +193,9 @@ require_clean_work_tree () {
if [ $err = 1 ]
then
test -n "$2" && echo >&2 "$2"
- exit 1
+ test "$1" = "--quiet" || exit 1
fi
+ return $err
}
# Generate a sed script to parse identities from a commit.
--
1.8.2.1.578.ga933817
next prev parent reply other threads:[~2013-04-23 14:01 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-04-23 14:01 [PATCH 0/7] Introduce rebase.autostash Ramkumar Ramachandra
2013-04-23 14:01 ` [PATCH 1/7] am: suppress error output from a conditional Ramkumar Ramachandra
2013-04-23 14:38 ` Martin von Zweigbergk
2013-04-23 16:29 ` Junio C Hamano
2013-04-23 16:31 ` Ramkumar Ramachandra
2013-04-23 17:29 ` Junio C Hamano
2013-04-23 17:31 ` Ramkumar Ramachandra
2013-04-23 14:01 ` [PATCH 2/7] rebase -i: don't error out if $state_dir already exists Ramkumar Ramachandra
2013-04-23 14:45 ` Martin von Zweigbergk
2013-04-23 16:35 ` Junio C Hamano
2013-04-23 16:38 ` Ramkumar Ramachandra
2013-04-23 14:02 ` [PATCH 3/7] am: tighten a conditional that checks for $dotest Ramkumar Ramachandra
2013-04-23 16:45 ` Junio C Hamano
2013-04-23 14:02 ` [PATCH 4/7] am: don't do housekeeping when rebasing Ramkumar Ramachandra
2013-04-23 16:51 ` Junio C Hamano
2013-04-23 14:02 ` [PATCH 5/7] rebase -i: return control to the caller, for housekeeping Ramkumar Ramachandra
2013-04-23 16:51 ` Martin von Zweigbergk
2013-04-25 14:30 ` Ramkumar Ramachandra
2013-04-23 16:57 ` Junio C Hamano
2013-04-23 14:02 ` Ramkumar Ramachandra [this message]
2013-04-23 17:00 ` [PATCH 6/7] sh-setup: introduce require_clean_work_tree --quiet Junio C Hamano
2013-04-23 14:02 ` [PATCH 7/7] rebase: implement --[no-]autostash and rebase.autostash Ramkumar Ramachandra
2013-04-23 17:07 ` Junio C Hamano
2013-04-23 17:34 ` Junio C Hamano
2013-04-23 17:37 ` Ramkumar Ramachandra
2013-04-23 22:45 ` Phil Hord
2013-04-24 8:27 ` Ramkumar Ramachandra
2013-04-24 17:52 ` Matthieu Moy
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1366725724-1016-7-git-send-email-artagnon@gmail.com \
--to=artagnon@gmail.com \
--cc=Johannes.Schindelin@gmx.de \
--cc=git@vger.kernel.org \
--cc=martinvonz@gmail.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.